<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: TelescopicBaton Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('df/d93/class_telescopic_baton.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">TelescopicBaton Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for TelescopicBaton:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../df/d93/class_telescopic_baton.png" usemap="#TelescopicBaton_map" alt=""/>
  <map id="TelescopicBaton_map" name="TelescopicBaton_map">
<area href="../../de/d7a/class_item_base.html" alt="ItemBase" shape="rect" coords="0,0,105,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ac94e4a736c233992a2a175d578b151c1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d93/class_telescopic_baton.html#ac94e4a736c233992a2a175d578b151c1">TelescopicBaton</a> ()</td></tr>
<tr class="separator:ac94e4a736c233992a2a175d578b151c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aebc6f30b6727fe0db3fed5c8e84e79d6"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d93/class_telescopic_baton.html#aebc6f30b6727fe0db3fed5c8e84e79d6">Open</a> ()</td></tr>
<tr class="separator:aebc6f30b6727fe0db3fed5c8e84e79d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18037ce27fd62e645ce7bfc495417ba4"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d93/class_telescopic_baton.html#a18037ce27fd62e645ce7bfc495417ba4">Close</a> ()</td></tr>
<tr class="separator:a18037ce27fd62e645ce7bfc495417ba4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab70312c038cd2eee1780a91292a24ad"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d93/class_telescopic_baton.html#aab70312c038cd2eee1780a91292a24ad">IsOpen</a> ()</td></tr>
<tr class="separator:aab70312c038cd2eee1780a91292a24ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7251d55504b3f34448616aeb624e0f52"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d93/class_telescopic_baton.html#a7251d55504b3f34448616aeb624e0f52">UpdateVisualState</a> ()</td></tr>
<tr class="separator:a7251d55504b3f34448616aeb624e0f52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a914b5a3c2e4c3a6419349fccd1e0acf6"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d93/class_telescopic_baton.html#a914b5a3c2e4c3a6419349fccd1e0acf6">GetMeleeMode</a> ()</td></tr>
<tr class="separator:a914b5a3c2e4c3a6419349fccd1e0acf6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade1a573c145e30359b196bb9c1ea063e"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d93/class_telescopic_baton.html#ade1a573c145e30359b196bb9c1ea063e">GetMeleeHeavyMode</a> ()</td></tr>
<tr class="separator:ade1a573c145e30359b196bb9c1ea063e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae20cf4e7ff88270e2e6aa86654e6f3ea"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d93/class_telescopic_baton.html#ae20cf4e7ff88270e2e6aa86654e6f3ea">GetMeleeSprintMode</a> ()</td></tr>
<tr class="separator:ae20cf4e7ff88270e2e6aa86654e6f3ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48eb3b71ad91d7343c672a1c5977af8f"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d93/class_telescopic_baton.html#a48eb3b71ad91d7343c672a1c5977af8f">OnVariablesSynchronized</a> ()</td></tr>
<tr class="separator:a48eb3b71ad91d7343c672a1c5977af8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65a61cc512a37ce25b434b49089be57a"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d93/class_telescopic_baton.html#a65a61cc512a37ce25b434b49089be57a">SetActions</a> ()</td></tr>
<tr class="separator:a65a61cc512a37ce25b434b49089be57a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:aeb24c0ca0a6f43d464d3a109f29e6a05"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d93/class_telescopic_baton.html#aeb24c0ca0a6f43d464d3a109f29e6a05">m_MeleeMode</a></td></tr>
<tr class="separator:aeb24c0ca0a6f43d464d3a109f29e6a05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24bdaf5c2eb0d656606ff105f5a61a2d"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d93/class_telescopic_baton.html#a24bdaf5c2eb0d656606ff105f5a61a2d">m_MeleeHeavyMode</a></td></tr>
<tr class="separator:a24bdaf5c2eb0d656606ff105f5a61a2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa858346592bc1cfeae4e75061ca08e7a"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d93/class_telescopic_baton.html#aa858346592bc1cfeae4e75061ca08e7a">m_MeleeSprintMode</a></td></tr>
<tr class="separator:aa858346592bc1cfeae4e75061ca08e7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8ad74fecaf5b2d5f257d28ea095e2f0"><td class="memItemLeft" align="right" valign="top">protected ref <a class="el" href="../../d9/d4b/class_openable_behaviour.html">OpenableBehaviour</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d93/class_telescopic_baton.html#aa8ad74fecaf5b2d5f257d28ea095e2f0">m_Openable</a></td></tr>
<tr class="separator:aa8ad74fecaf5b2d5f257d28ea095e2f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_telescopic_baton_8c_source.html#l00001">1</a> of file <a class="el" href="../../d2/d9f/_telescopic_baton_8c_source.html">TelescopicBaton.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ac94e4a736c233992a2a175d578b151c1" name="ac94e4a736c233992a2a175d578b151c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac94e4a736c233992a2a175d578b151c1">&#9670;&#160;</a></span>TelescopicBaton()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void TelescopicBaton::TelescopicBaton </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >set default melee modes on init</p>

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_telescopic_baton_8c_source.html#l00009">9</a> of file <a class="el" href="../../d2/d9f/_telescopic_baton_8c_source.html">TelescopicBaton.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a18037ce27fd62e645ce7bfc495417ba4" name="a18037ce27fd62e645ce7bfc495417ba4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a18037ce27fd62e645ce7bfc495417ba4">&#9670;&#160;</a></span>Close()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void TelescopicBaton::Close </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >sets different set of melee modes for closed state</p>

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_telescopic_baton_8c_source.html#l00036">36</a> of file <a class="el" href="../../d2/d9f/_telescopic_baton_8c_source.html">TelescopicBaton.c</a>.</p>

</div>
</div>
<a id="ade1a573c145e30359b196bb9c1ea063e" name="ade1a573c145e30359b196bb9c1ea063e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade1a573c145e30359b196bb9c1ea063e">&#9670;&#160;</a></span>GetMeleeHeavyMode()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> TelescopicBaton::GetMeleeHeavyMode </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_telescopic_baton_8c_source.html#l00071">71</a> of file <a class="el" href="../../d2/d9f/_telescopic_baton_8c_source.html">TelescopicBaton.c</a>.</p>

</div>
</div>
<a id="a914b5a3c2e4c3a6419349fccd1e0acf6" name="a914b5a3c2e4c3a6419349fccd1e0acf6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a914b5a3c2e4c3a6419349fccd1e0acf6">&#9670;&#160;</a></span>GetMeleeMode()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> TelescopicBaton::GetMeleeMode </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_telescopic_baton_8c_source.html#l00066">66</a> of file <a class="el" href="../../d2/d9f/_telescopic_baton_8c_source.html">TelescopicBaton.c</a>.</p>

</div>
</div>
<a id="ae20cf4e7ff88270e2e6aa86654e6f3ea" name="ae20cf4e7ff88270e2e6aa86654e6f3ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae20cf4e7ff88270e2e6aa86654e6f3ea">&#9670;&#160;</a></span>GetMeleeSprintMode()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> TelescopicBaton::GetMeleeSprintMode </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_telescopic_baton_8c_source.html#l00076">76</a> of file <a class="el" href="../../d2/d9f/_telescopic_baton_8c_source.html">TelescopicBaton.c</a>.</p>

</div>
</div>
<a id="aab70312c038cd2eee1780a91292a24ad" name="aab70312c038cd2eee1780a91292a24ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab70312c038cd2eee1780a91292a24ad">&#9670;&#160;</a></span>IsOpen()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> TelescopicBaton::IsOpen </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_telescopic_baton_8c_source.html#l00049">49</a> of file <a class="el" href="../../d2/d9f/_telescopic_baton_8c_source.html">TelescopicBaton.c</a>.</p>

</div>
</div>
<a id="a48eb3b71ad91d7343c672a1c5977af8f" name="a48eb3b71ad91d7343c672a1c5977af8f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a48eb3b71ad91d7343c672a1c5977af8f">&#9670;&#160;</a></span>OnVariablesSynchronized()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void TelescopicBaton::OnVariablesSynchronized </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_telescopic_baton_8c_source.html#l00081">81</a> of file <a class="el" href="../../d2/d9f/_telescopic_baton_8c_source.html">TelescopicBaton.c</a>.</p>

</div>
</div>
<a id="aebc6f30b6727fe0db3fed5c8e84e79d6" name="aebc6f30b6727fe0db3fed5c8e84e79d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aebc6f30b6727fe0db3fed5c8e84e79d6">&#9670;&#160;</a></span>Open()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void TelescopicBaton::Open </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >sets different set of melee modes for opened state</p>

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_telescopic_baton_8c_source.html#l00023">23</a> of file <a class="el" href="../../d2/d9f/_telescopic_baton_8c_source.html">TelescopicBaton.c</a>.</p>

</div>
</div>
<a id="a65a61cc512a37ce25b434b49089be57a" name="a65a61cc512a37ce25b434b49089be57a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a65a61cc512a37ce25b434b49089be57a">&#9670;&#160;</a></span>SetActions()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void TelescopicBaton::SetActions </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_telescopic_baton_8c_source.html#l00088">88</a> of file <a class="el" href="../../d2/d9f/_telescopic_baton_8c_source.html">TelescopicBaton.c</a>.</p>

</div>
</div>
<a id="a7251d55504b3f34448616aeb624e0f52" name="a7251d55504b3f34448616aeb624e0f52"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7251d55504b3f34448616aeb624e0f52">&#9670;&#160;</a></span>UpdateVisualState()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected void TelescopicBaton::UpdateVisualState </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_telescopic_baton_8c_source.html#l00054">54</a> of file <a class="el" href="../../d2/d9f/_telescopic_baton_8c_source.html">TelescopicBaton.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a24bdaf5c2eb0d656606ff105f5a61a2d" name="a24bdaf5c2eb0d656606ff105f5a61a2d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a24bdaf5c2eb0d656606ff105f5a61a2d">&#9670;&#160;</a></span>m_MeleeHeavyMode</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> TelescopicBaton::m_MeleeHeavyMode</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_telescopic_baton_8c_source.html#l00004">4</a> of file <a class="el" href="../../d2/d9f/_telescopic_baton_8c_source.html">TelescopicBaton.c</a>.</p>

</div>
</div>
<a id="aeb24c0ca0a6f43d464d3a109f29e6a05" name="aeb24c0ca0a6f43d464d3a109f29e6a05"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb24c0ca0a6f43d464d3a109f29e6a05">&#9670;&#160;</a></span>m_MeleeMode</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> TelescopicBaton::m_MeleeMode</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_telescopic_baton_8c_source.html#l00003">3</a> of file <a class="el" href="../../d2/d9f/_telescopic_baton_8c_source.html">TelescopicBaton.c</a>.</p>

</div>
</div>
<a id="aa858346592bc1cfeae4e75061ca08e7a" name="aa858346592bc1cfeae4e75061ca08e7a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa858346592bc1cfeae4e75061ca08e7a">&#9670;&#160;</a></span>m_MeleeSprintMode</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> TelescopicBaton::m_MeleeSprintMode</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_telescopic_baton_8c_source.html#l00005">5</a> of file <a class="el" href="../../d2/d9f/_telescopic_baton_8c_source.html">TelescopicBaton.c</a>.</p>

</div>
</div>
<a id="aa8ad74fecaf5b2d5f257d28ea095e2f0" name="aa8ad74fecaf5b2d5f257d28ea095e2f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa8ad74fecaf5b2d5f257d28ea095e2f0">&#9670;&#160;</a></span>m_Openable</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ref <a class="el" href="../../d9/d4b/class_openable_behaviour.html">OpenableBehaviour</a> TelescopicBaton::m_Openable</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_telescopic_baton_8c_source.html#l00007">7</a> of file <a class="el" href="../../d2/d9f/_telescopic_baton_8c_source.html">TelescopicBaton.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Entities/ItemBase/<a class="el" href="../../d2/d9f/_telescopic_baton_8c_source.html">TelescopicBaton.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../df/d93/class_telescopic_baton.html">TelescopicBaton</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
